package com.njzscloud.supervisory.device.contant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：device_product
 * 字典名称：设备产品
 */
@Getter
@RequiredArgsConstructor
public enum DeviceProduct implements DictStr {
    Ty("Ty", "通用"),
    Hk("Hk", "海康摄像头"),
    Mq("Mq", "MQTT 摄像头"),
    ;
    private final String val;
    private final String txt;
}
